[Buildroot] Status of gdb/gdbserver support for RISC-V 64 ?

Mark Corbin mark.corbin at embecosm.com
Mon Nov 26 11:12:26 UTC 2018


Hello Thomas

On 24/11/2018 21:44, Thomas Petazzoni wrote:
> Hello Mark,
>
> I'm curious to know what is the status of RISC-V 64 support in
> gdb/gdbserver ?
>
> Just tried building gdbserver with gdb 8.1.1, and it says:
>
>   Error: target not supported by gdbserver.
>
> Is the support on its way upstream ? We probably need to add a few more
> dependencies in package/gdb/Config.in.host to prevent people from
> trying to build gdb versions that don't have RISC-V 64 support.

RISC-V gdb support is upstream already, but gdbserver for RISC-V doesn't
exist yet.

I guess that for RISC-V we should prevent gdbserver
(BR2_PACKAGE_GDB_SERVER) and cross gdb (BR2_PACKAGE_HOST_GDB) from being
built and select 'full debugger' (BR2_PACKAGE_GDB_DEBUGGER) for native
RISC-V gdb builds.

I'll take a look at the configuration options.

Regards

Mark

-- 
Mark Corbin
Embecosm Ltd.
https://www.embecosm.com



More information about the buildroot mailing list